/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EventData.java 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring;

/**
 *
 * @author Guillaume Renault
 *
 */
public class EventData {

    /**
     * A string representing the date : YYYY/MM/DD Hr:min:s
     */
    private String date = "";

    /**
     * Value of the event.
     */
    private String value = "";

    /**
     * Type of the event : which Mbean was polled ?
     */
    private String type = "";

    /**
     * Id of the serie concerned by the event
     */
    private String id = "";

	/**
     * create an instance that contains the date and the value, but not the
     * type.
     *
     * @param date
     * @param value
     */
    public EventData(final String date, final String value) {
        this.date = date;
        this.value = value;
    }

    /**
     * create an instance that only contains the type.
     *
     * @param type
     */
    public EventData(final String type) {
        this.type = type;
    }

    /**
     * @return the date
     */
    public String getDate() {
        return date;
    }

    /**
     * @return the value
     */
    public String getValue() {
        return value;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param date the date to set
     */
    public void setDate(final String date) {
        this.date = date;
    }

    /**
     * @param value the value to set
     */
    public void setValue(final String value) {
        this.value = value;
    }

    /**
     * @param type the type to set
     */
    public void setType(final String type) {
        this.type = type;
    }

    /**
     * @return the id
     */
    public String getId() {
		return id;
	}

    /**
     * @param id the id to set
     */
	public void setId(final String id) {
		this.id = id;
	}

}
